import java.util.Optional;
public class PhotoService {
	
	public int getPhotoScreenWidth(Optional<Photo> photo){

		return photo.flatMap(Photo::getFeatures)
		 .flatMap(ImageFeatures::getImageSize)
		 .map(ImageSize::getWidth)
		 .orElse(0);

	}

}